PUT /groups/{groupId}/apps/{appId}/deployment_migration

开始新的部署迁移。

路径参数

application/json

body 必需

应用应迁移到的部署模型和云提供商区域。

  • deployment_model 字符串

    应用程序部署模型。

    值为 GLOBAL 或 LOCAL。

  • provider_region 字符串
    以下之一:

    取值为 aws-us-east-1、aws-us-west-2、aws-us-east-2、aws-eu-central-1、aws-eu-west-1、aws-eu-west-2、aws-ap-southeast-1、aws-ap-southeast-2、aws-ap-south-1 或 aws-sa-east-1。

    取值为 azure-eastus2、azure-westus、azure-westeurope、azure-eastasia 或 azure-southeastasia。

    取值为 gcp-us-central1、gcp-us-east4、gcp-us-west1、gcp-europe-west1 或 gcp-asia-south1。

响应

  • 204

    迁移已开始

  • 400

    请求无效、不完整或无需操作

  • 404

    未找到应用

PUT /groups/{groupId}/apps/{appId}/deployment_migration
curl \
 --request PUT 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/deployment_migration' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "deployment_model": "LOCAL",
  "provider_region": "aws-us-east-1"
}'
请求示例
{
  "deployment_model": "LOCAL",
  "provider_region": "aws-us-east-1"
}